Skip to main content
GET
/
v1
/
batches
/
{batch_id}
Batch Details
curl --request GET \
  --url https://app.luly.ai/api/v1/batches/{batch_id} \
  --header 'authorization: <authorization>'
import requests

url = "https://app.luly.ai/api/v1/batches/{batch_id}"

headers = {"authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {authorization: '<authorization>'}};

fetch('https://app.luly.ai/api/v1/batches/{batch_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "success",
  "pathway_id": "9d404c1b-6a23-4426-953a-a52c392ff8f1"
}

Headers

authorization
string
required
Your API key for authentication.

Path Parameters

batch_id
string
required
The unique identifier for the batch of calls you want to retrieve.

Query Parameters

include_calls
boolean
Whether or not to include individual call data in the response.
include_transcripts
boolean
If calls are included, can be set to false to exclude transcripts from the response.
include_analysis
boolean
If calls are included, can be set to false to exclude analysis from the response.

Response

status
string
The status of the batch. Possible values are in-progress and completed.-in-progress: The batch is still in progress. -completed: Every call in the batch has completed.
batche_params
object
An object containing parameters and settings for the batch.
batch_params.id
string
The unique identifier of the batch - used as the batch_id parameter in other API calls.
batch_params.created_at
string
The creation timestamp of the batch.
batch_params.label
string
The label or description of the batch.
batch_params.base_prompt
string
The base prompt used for calls in this batch.
batch_params.endpoint_code
string
The endpoint code used for API integration.
batch_params.call_params
object
An object containing parameters for the calls in the batch.
analysis
object
An object containing analysis data for the batch.
analysis.total_calls
object
The total number of calls in the batch, including completed and in-progress calls.
analysis.completed_calls
object
The total number of completed calls in the batch.
analysis.in_progress_calls
object
The total number of in-progress calls in the batch.
analysis.queue_statuses
object
An object containing the number of calls in each queue status.Example:
{
  "complete": 237,
  "queued": 2,
  "call_error": 1
}
analysis.call_lengths
object
Contains average, average_nonzero, summary and all fields.
  • average: The average call length in minutes.
  • average_nonzero: The average call length in minutes, excluding calls with a length of less than one second.
  • summary: A summary of the call lengths, grouped into ranges.
  • all: Contains each call length, in case you want to use a different grouping than the default.
analysis.call_ids
array
Contains each call_id in the batch.
analysis.error_messages
array
Contains any error messages that calls in the batch may have.Example:
[
  {
    "call_id": "c52f5f8c-147e-478c-4b40-88214feeba29",
    "error_message": "Cannot transfer to +12223334444 - Call is no longer active"
  }
]
analysis.endpoints
object
Contains the number of calls that have been sent to each endpoint. Applicable only to API integrations.
call_data
array
An array of objects, each representing individual call data.
call_data[].created_at
string
The timestamp when the individual call was created.
call_data[].to
string
The phone number the call was made to.
call_data[].from
string
The phone number the call was made from.
call_data[].completed
boolean
Indicates if the call was completed.
call_data[].call_id
string
The unique identifier for each individual call.
call_data[].call_length
number
The duration of the call in minutes.
call_data[].answered_by
array
Contains a string value if the batch had answered_by_enabled set to true.Values:
  • voicemail
  • human
  • unknown
  • no-answer
  • null
{
  "status": "success",
  "pathway_id": "9d404c1b-6a23-4426-953a-a52c392ff8f1"
}